Summary:	Icmake - an Intelligent C-like Maker
Summary(pl.UTF-8):	Icmake - inteligentny C-podobny "maker"
Name:		icmake
Version:	9.03.01
Release:	1
License:	GPL v3
Group:		Development/Building
Source0:	https://gitlab.com/fbb-git/icmake/-/archive/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	aa906c6f3769ddd2684c7baab9adf160
Patch0:		verbose-build.patch
URL:		https://fbb-git.gitlab.io/icmake/
BuildRequires:	bash
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Icmake is yet another maker - but this time, one that uses a C-like
syntaxis. The Icmake scripts should feel `natural' to all C
programmers. Icmake is furthermore a powerful shell script language:
it can be used for program maintenance as well as for system
administrative tasks.

%description -l pl.UTF-8
Icmake jest kolejnym programem typu "make" - ale takim, który używa
składni podobnej do C. Skrypty Icmake powinny być dość 'naturalne' dla
programistów C. Icmake jest ponadto potężnym narzędziem skryptowym:
może być używany równie dobrze do tworzenia programów z równym
powodzeniem jak do wykonywania zadań administracyjnych.

%prep
%setup -q
%patch0 -p0
%{__sed} -i -e 's#/lib/#/%{_lib}/#g' icmake/INSTALL.im

%build
cd icmake
./icm_prepare /
CC="%{__cc}" \
CFLAGS="%{rpmcflags} %{rpmcppflags}" \
LDFLAGS="%{rpmldflags}" \
./icm_bootstrap /

%install
rm -rf $RPM_BUILD_ROOT

cd icmake
./icm_install all $RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/icmake{,-doc}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc icmake/changelog icmake/doc/icmake.ps icmake/doc/icmake.doc
%dir %{_sysconfdir}/icmake
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/icmake/icmstart.rc
%attr(755,root,root) %{_bindir}/icmake
%attr(755,root,root) %{_bindir}/icmbuild
%attr(755,root,root) %{_bindir}/icmstart
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/icm-comp
%attr(755,root,root) %{_libdir}/%{name}/icm-dep
%attr(755,root,root) %{_libdir}/%{name}/icm-exec
%attr(755,root,root) %{_libdir}/%{name}/icm-pp
%attr(755,root,root) %{_libdir}/%{name}/icmbuild
%attr(755,root,root) %{_libdir}/%{name}/icmun
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/parser
%{_datadir}/%{name}/parser/grammar
%{_datadir}/%{name}/[!p]*
%{_mandir}/man1/icmake.1*
%{_mandir}/man1/icmbuild.1*
%{_mandir}/man1/icmstart.1*
%{_mandir}/man7/icmconf.7*
%{_mandir}/man7/icmstart.rc.7*
%changelog
* Sun Nov 22 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/icmake.git;a=log;h=master

* Sat Nov 21 2020 Jan Palus <atler@pld-linux.org> 718d861
- up to 9.03.01

* Sun Mar 01 2015 Jan Rękorajski <baggins@pld-linux.org> d1a7019
- x32 rebuild
- release 2 (by relup.sh)

* Thu Dec 08 2011 Jakub Bogusz <qboosh@pld-linux.org> 56c5545
- updated to 7.16.00

* Sun Apr 10 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> aa399e4
- up to 7.15.00

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9067973
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2154397
- converted to UTF-8

* Sat Apr 22 2006 Jan Rękorajski <baggins@pld-linux.org> 55955c8
- orphaned, outdated

* Tue Aug 31 2004 snurf <snurf@pld-linux.org> 2d3083d
- typos / formatting / etc.

* Mon Apr 26 2004 Adam Gołębiowski <adamg@pld-linux.org> f1b20c0
- release 4 for Ac (3 is for Ra)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 58c82fd
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 9160722
- massive attack s/pld.org.pl/pld-linux.org/

* Wed Nov 27 2002 juandon <witekfl@pld-linux.org> e898fa1
- new %%doc

* Thu Apr 25 2002 arturs <arturs@pld-linux.org> 97ddd82
- fixed a small typo

* Tue Mar 19 2002 ankry <ankry@pld-linux.org> 8ef8335
- fixed URLs

* Sat Feb 23 2002 kloczek <kloczek@pld-linux.org> f98946c
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

* Fri Jan 18 2002 kloczek <kloczek@pld-linux.org> 48b0198
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

* Mon Nov 26 2001 Paweł Gołaszewski <blues@pld-linux.org> 5634afe
- release 3
- typo fixed
NOTE: no active URL found

* Wed May 02 2001 Jakub Bogusz <qboosh@pld-linux.org> a883b8f
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

* Sun May 21 2000 kloczek <kloczek@pld-linux.org> 321b613
- spec adapterized.

* Sat Apr 01 2000 mis <mis@pld-linux.org> 9b56fcb
- typo

